class Post < ActiveRecord::Base
 has_many :comments 
 has_many :tags
 belongs_to :user

 validates_presence_of :title, :message => "No title specified!"
 validates_presence_of :content, :message => "No content specified!"
 validates_uniqueness_of :title, :message => "This title already exists!"
 validates_length_of :title, :maximum => 50, :message => "Please specify a title 50 characters or less."

 before_destroy :delete_comments
 before_destroy :delete_tags

 def delete_comments
  for comment in self.comments
   comment.destroy
  end
 end

 def delete_tags
  for tag in self.tags
   tag.destroy
  end
 end

end
